from sqlalchemy import Column, String, TIMESTAMP, Integer

from .base import Base

class BookOverviewView(Base):
    __tablename__ = 'books_overview'

    id             = Column(Integer, primary_key=True, autoincrement=True)
    title          = Column(String())
    author_name    = Column(String())
    categories     = Column(String())
    year_published = Column(String())
    isbn           = Column(String())
    created_at     = Column(TIMESTAMP())
    borrower_name  = Column(String())
    librarian_name = Column(String())